[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TLongintField.MaxValue

Maximum value for the field

## Declaration

Source position: db.pas line 548

`published property TLongintField.MaxValue: LongInt read FMaxValue write SetMaxValue default 0;`

## Description

MaxValue is the maximum value for the field. When setting the field's value, the value may not be larger than MaxValue. Any attempt to write a larger value as the field's content will result in an exception. By default MaxValue equals MaxInt, i.e. any integer value is allowed.

## See also

TLongintField.MinValue |  | Minimum value for the field

The latest version of this document can be found at lazarus-ccr.sourceforge.net .